﻿.wrapper {
    width: 100%;
   
    overflow: hidden;
    display: flex;
    align-items: stretch;
}

.sidebar {
    width: 15vw;
    background: var(--color-primary);
    color: var(--color-white);
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    border-radius: 12px 0 0 12px;
    display: flex;
    flex-direction: column;
    gap: 0;
    overflow: hidden;
  
}

.pagecontent {
    flex: 1;
    overflow-y: auto;
}

.db-service-history-sec {
    display: flex;
    flex-wrap: wrap;
    gap: 25px 2%;
}

.db-service-history {
    padding: 1vw;
    background-color: var(--color-white);
    border-radius: 16px;
    box-shadow: 0px 3px 4px rgb(177 177 177 / 21%);
    width: 23.5%;
    overflow: hidden;
}

.db-service-history-info-blc {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 10px;
}

.db-service-history-info p {
    color: var(--color-40);
    font-size: var(--font-size-14);
    font-family: var(--font-medium);
    margin-bottom: 0.75rem;
}

.db-service-history-info b {
    color: var(--color-1c);
    font-size: var(--font-size-32);
    font-family: var(--font-semibold);
}

.db-service-history-info-img {
    width: 2.6vw;
    height: 2.6vw;
    padding: 0.5vw;
    border-radius: 50%;
    background-color: #E6F2FF;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.db-service-history-info-img img {
    max-width: 100%;
}

.db-service-history.bg-blue {
    background-color: var(--color-dd);
}

.db-service-history.bg-blue .db-service-history-info-img {
    background-color: var(--color-c0);
}

.db-service-history.bg-green {
    background-color: var(--color-e5);
}

.db-service-history.bg-green .db-service-history-info-img {
    background-color: var(--color-d0);
}

.db-service-history.bg-peach {
    background-color: var(--color-fe);
}

.db-service-history.bg-peach .db-service-history-info-img {
    background-color: var(--color-ff);
}

.db-service-history.bg-yellow {
    background-color: var(--color-fff);
}

.db-service-history.bg-yellow .db-service-history-info-img {
    background-color: var(--color-fff4);
}

.shadow-box {
    background-color: var(--color-white);
    border-radius: 16px;
    box-shadow: 0px 3px 4px rgb(177 177 177 / 21%);
}

.chart-title-sec,
.chart-area-sec {
    padding: 1vw 1.5vw;
}

.chart-area-sec,
.sb-info {
    border-top: 1px solid var(--color-e2);
}

.chart-title-sec h6 {
    font-size: var(--font-size-20);
    font-family: var(--font-medium);
    color: var(--color-1f);
}

.chart-title-sec h2 {
    font-size: var(--font-size-40);
    font-family: var(--font-semibold);
    color: var(--color-primary);
}

.chart-title-sec p {
    font-size: var(--font-size-16);
    font-family: var(--font-semibold);
    color: var(--color-4f);
    margin-bottom: 0;
}

.form-box {
    border-radius: 12px;
    background: var(--color-white);
    box-shadow: 0px 3px 4px rgb(177 177 177 / 21%);
}

.form-box-info,
.form-box-btns,
.shadow-box.pad,
.sb-title,
.sb-info {
    padding: 1vw 1.5vw;
}

.form-box-btns {
    display: flex;
    justify-content: flex-end;
    border-top: 1px solid var(--color-e2);
}

.form-title {
    color: var(--color-1f);
    font-size: var(--font-size-24);
    font-family: var(--font-semibold);
    margin-bottom: 1.5rem;
}

.form-box label {
    margin-bottom: 0.5rem;
    color: var(--color-1f);
    font-size: var(--font-size-16);
    font-family: var(--font-medium);
}

.form-control,
.form-select {
    border-color: var(--color-e2);
    border-radius: 8px;
    font-size: var(--font-size-16);
    min-height: 40px;
}

input[type="date"] {
    position: relative;
    z-index: 0;
    text-align: right;
}

input[type="date"]:after {
    content: url(../images/calendar_outline.svg);
    display: inline-block;
    width: 20px;
    height: 20px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 12px;
    margin: auto;
    z-index: -1;
}

input[type="date"]::-webkit-calendar-picker-indicator {
    background: transparent;
    bottom: 0;
    color: transparent;
    cursor: pointer;
    height: auto;
    right: 0;
    position: absolute;
    left: 0;
    top: 0;
    width: auto;
}

.form-select {
    background-position: left 0.75rem center;
    padding: .375rem .75rem .375rem 2.25rem;
}

.btn-outline-primary {
    color: var(--color-primary);
    padding: 8px 18px 10px;
    border: 1px solid var(--color-primary);
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 12px;
    background-color: var(--color-white);
    font-family: var(--font-medium);
    font-size: var(--font-size-16);
}

.btn-primary {
    color: var(--color-white);
    padding: 8px 18px 10px;
    border: 1px solid var(--color-primary);
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 12px;
    background-color: var(--color-primary);
    font-family: var(--font-medium);
    font-size: var(--font-size-16);
}

.btn-primary:hover {
    background-color: #004A91;
    border-color: #004A91;
    color: var(--color-white);
}

.btn-outline-primary:hover {
    background-color: var(--color-e2);
    border-color: var(--color-e2);
    color: var(--color-black);
}

.btn-danger {
    background-color: #EB5757;
    border-color: #EB5757;
}

.btn-danger:hover {
    background-color: #e5252a;
    border-color: #e5252a;
}

.form-box-btns .btn {
    min-width: 8vw;
    font-family: var(--font-medium);
    font-size: var(--font-size-16);
    padding: 8px 18px 10px;
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 12px;
}

.table th {
    border: 0;
    color: #667085;
    font-family: var(--font-medium);
    font-size: var(--font-size-13);
    font-weight: 500;
    vertical-align: middle;
    padding: 1rem 0.75rem;
}

.table td {
    color: var(--color-2a);
    font-size: var(--font-size-13);
    padding: 1rem 0.75rem;
    border-color: var(--color-f1);
    vertical-align: middle;
    background-color: transparent;
}

tbody tr:nth-child(odd) {
    background-color: #F9FAFB;
}

.ad-stat {
    background-color: #E6F2FF;
    color: #00438C;
    display: inline-block;
    font-family: var(--font-medium);
    font-size: var(--font-size-13);
    border-radius: 16px;
    margin-bottom: 0;
    padding: 2px 10px 4px;
    margin-right: 2px;
}

.ad-stat.green {
    background-color: #ECFAF2;
    color: #246F46;
}

.ad-stat.yellow {
    background-color: #FFF6E6;
    color: #8C5C00;
}

.ad-stat.red {
    background-color: #FDEEEE;
    color: #D64F4F;
}

.table td a img {
    width: 1.2vw;
    vertical-align: bottom;
}

.table td a + a {
    margin-right: 5px;
}

.paging-numbers ul {
    list-style: none;
    margin-bottom: 0;
    padding: 0;
    display: flex;
    align-items: center;
    gap: 0.5vw;
}

.paging-numbers ul li {
    display: inline-block;
}

.paging-numbers ul li a {
    color: var(--color-40);
    border-radius: 6px;
    width: 2vw;
    height: 2vw;
    padding: 0.2vw;
    text-align: center;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: var(--font-size-16);
    font-family: var(--font-medium);
}

.paging-numbers ul li a.active,
.paging-numbers ul li a:hover {
    color: var(--color-primary);
    background-color: #E6F2FF;
    border-color: #E6F2FF;
}

.paging-numbers ul li a img {
    height: 1.3vw;
}

.smd .modal-content {
    border-radius: 16px;
}

.modal-header,
.modal-footer {
    border: 0;
}

.modal-header button {
    position: inherit;
    background-color: transparent;
    border: 0;
}

.modal-header .close {
    margin-right: auto;
}

.status-msg-pop {
    text-align: center;
}

.smd img {
    margin-bottom: 18px;
}

.smd .modal-header button img {
    margin-bottom: 0;
}

.smd .modal-body {
    padding-top: 0;
    padding-bottom: 0;
}

.smd .modal-body h6 {
    color: var(--color-1f);
    font-size: var(--font-size-20);
    font-family: var(--font-medium);
    margin-bottom: 15px;
}

.smd .modal-body p {
    color: var(--color-gray);
    font-size: var(--font-size-16);
}

.smd .form-select,
.smd .form-control {
    font-size: var(--font-size-16);
    color: var(--color-1f);
    min-height: 45px;
}

.pmb-btns {
    padding-bottom: 25px;
    padding-top: 25px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.pmb-btns .btn {
    flex: 1;
    min-height: 45px;
}

.btn-outline-gray {
    color: var(--color-primary);
    padding: 8px 18px 10px;
    border: 1px solid #CCD2E0;
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 12px;
    background-color: var(--color-white);
    font-family: var(--font-medium);
    font-size: var(--font-size-16);
}

.btn-outline-gray:hover {
    background-color: var(--color-e2);
}

.sb-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.sb-title h4 {
    font-size: var(--font-size-20);
    font-family: var(--font-semibold);
    color: var(--color-1f);
    margin-bottom: 0;
}

.ai-score {
    min-width: 18vw;
}

.ai-score-label {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    color: var(--color-gray);
    font-size: var(--font-size-16);
    font-family: var(--font-medium);
}

.ai-score-status {
    color: #246F46;
    display: inline-flex;
    align-items: center;
    gap: 5px;
}

.ai-score-label p {
    margin-bottom: 6px;
}

.ai-score-badge {
    color: var(--color-1f);
    padding: 0.3vw 0.6vw;
    border: 1px solid transparent;
    background: linear-gradient(#F4F9FF, #F4F9FF) padding-box, linear-gradient(to bottom, #1D85F5, #4B03DC) border-box;
    border-radius: 8px;
    font-size: var(--font-size-12);
    font-family: var(--font-medium);
    display: inline-flex;
    align-items: center;
    gap: 5px;
}

.ai-score-badge img {
    width: 1vw;
}

.progress {
    height: 10px;
    border-radius: 10px;
    background-color: var(-color-f1);
}

.progress.green .progress-bar {
    background-color: #246F46;
}

.sb-info-details {
    display: flex;
    flex-wrap: wrap;
    gap: 15px 2%;
}

.sb-info-details p {
    width: 23.5%;
    color: var(--color-1f);
    font-family: var(--font-semibold);
    font-size: var(--font-size-18);
}

.sb-info-details p span {
    color: var(--color-40);
    font-family: var(--font-medium);
    font-size: var(--font-size-16);
    display: block;
    margin-top: 6px;
}

.attachments {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 2%;
}

.attachments-info,
.attachments-block {
    width: 49%;
    padding: 15px;
    display: flex;
    align-items: center;
    gap: 15px;
    border-radius: 16px;
    border: 1px solid var(--color-f1);
    margin-bottom: 20px;
}

.attachments-info p,
.attachments-block p {
    color: var(--color-1f);
    font-size: var(--font-size-16);
    margin-bottom: 0;
}

.attachments-info p span {
    display: block;
    font-size: var(--font-size-14);
    color: var(--color-gray);
    margin-top: 5px;
}

.attachments-info a {
    margin-right: auto;
}

.attachments-block {
    border: 2px dashed var(--color-e2);
}

.attachments-block p img {
    width: 2.5vw;
}

.btn-up {
    color: var(--color-primary);
    padding: 8px 18px 10px;
    border: 1px solid #6638D6;
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 12px;
    background-color: #fff;
    cursor: pointer;
    margin-bottom: 0;
    margin-right: auto;
    display: inline-flex;
    align-items: center;
    gap: 5px;
    position: relative;
}

.btn-up img {
    width: 1vw;
}

.btn-up:hover {
    background-color: var(--color-primary);
    border-color: var(--color-primary);
    color: var(--color-white);
}

.btn-up:hover img {
    filter: brightness(0) invert(1);
}

.ai-note {
    color: #246F46;
    font-size: var(--font-size-18);
    font-family: var(--font-medium);
    background-color: #ECFAF2;
    margin-left: 10px;
    border-radius: 16px;
    padding: 5px 12px 8px;
    display: inline-block;
}

.ai-note img {
    width: 1.2vw;
}

.ai-note.red {
    color: #D64F4F;
    background-color: #FDEEEE;
}

td a.btn {
    color: var(--color-primary);
    background: var(--color-white);
    border: 1px solid rgba(37, 101, 174, 0.2);
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 12px;
    padding: 8px 14px;
    font-family: var(--font-medium);
    font-size: var(--font-size-14);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

td a.btn:hover {
    text-decoration: none;
    background-color: var(--color-primary);
    color: var(--color-white);
}

td a.btn:hover img {
    filter: brightness(0) invert(1);
}

.applicant-name {
    color: var(--color-primary);
    font-size: var(--font-size-14);
    font-family: var(--font-medium);
}

.applicant-name span {
    font-size: var(--font-size-12);
    display: block;
}

.file-input {
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: 100%;
    cursor: pointer;
    opacity: 0;
}

.file-input:focus {
    outline: none;
}

.legend {
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 5px;
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: var(--font-size-14);
    color: var(--color-primary);
}

.legend span {
    width: 10px;
    height: 10px;
    background-color: #0082CF;
    border-radius: 50%;
}

.dot {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    display: inline-block;
}

.legend span.green-dot {
    background-color: #cce5b6;
}

.legend span.orange-dot {
    background-color: #f4b183;
}

@media (min-width: 576px) {
    .modal-dialog.smd {
        width: 500px;
    }
}




.datepicker-dropdown {
    background-color: #f0f8ff; /* very light blue */
    border: 1px solid #87cefa; /* skyblue border */
    border-radius: 10px;
  }

  .datepicker table tr td,
  .datepicker table tr th {
    color: #0d6efd; /* Bootstrap primary blue */
  }

  .datepicker table tr td.active,
  .datepicker table tr td.active:hover {
    background-color: #0d6efd !important; /* strong blue */
    color: #fff !important;
  }

  .datepicker table tr td.today {
    background-color: #87cefa !important; /* light skyblue for today */
    color: #000;
  }

  .datepicker table tr td:hover {
    background-color: #add8e6 !important; /* light hover */
  }



